MODF(P)

NAME
modf, modff, modfl - decompose a floating-point number

SYNOPSIS

#include <math.h>

double modf(double x, double *iptr);
float modff(float value, float *iptr);
long double modfl(long double value, long double *iptr);

DESCRIPTION

These functions shall break the argument x into integral and fractional parts, each of which has the same sign as the argument. It stores the integral part as a double (for the modf() function), a float (for the modff() function), or a long double (for the modfl() function), in the object pointed to by iptr.

RETURN VALUE

Upon successful completion, these functions shall return the signed fractional part of x.

If x is NaN, a NaN shall be returned, and *iptr shall be set to a NaN.

If x is ±Inf, ±0 shall be returned, and *iptr shall be set to ±Inf.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The modf() function computes the function result and *iptr such that:

    a = modf(x, iptr) ;
    x == a+*iptr ;

allowing for the usual floating-point inaccuracies.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

frexp() , isnan() , ldexp() , the Base Definitions volume of IEEE Std 1003.1-2001, <math.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .